diff --git a/alsa-firmware.spec b/alsa-firmware.spec
index 422359b..f425bbc 100644
--- a/alsa-firmware.spec
+++ b/alsa-firmware.spec
@@ -19,7 +19,8 @@ Source0:        %{name}-%{version}-pruned.tar.bz2
 Source1:        alsa-firmware.README
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 Requires:       alsa-tools-firmware >= %{version}
-Requires:       udev
+Requires:       udev >= 176
+Conflicts:      filesystem < 3
 BuildRequires:  automake
 BuildRequires:  autoconf
 
@@ -58,7 +59,7 @@ sed -i s#multisound## Makefile.am
 %__aclocal
 %__automake
 %__autoconf
-%configure --disable-loader
+%configure --disable-loader --with-hotplug-dir=%{_prefix}/lib/firmware
 make %{?_smp_mflags}
 
 # Rename README files from firmware subdirs that have them
@@ -82,118 +83,118 @@ rm -rf $RPM_BUILD_ROOT
 %doc COPYING README*
 
 # License: KOS (BSD-alike)
-/lib/firmware/aica_firmware.bin
+%{_prefix}/lib/firmware/aica_firmware.bin
 
 # License: No explicit license; default package license is GPLv2+
-/lib/firmware/asihpi
+%{_prefix}/lib/firmware/asihpi
 
 # License: GPL (undefined version)
-/lib/firmware/digiface_firmware*
+%{_prefix}/lib/firmware/digiface_firmware*
 
-%dir /lib/firmware/ea
+%dir %{_prefix}/lib/firmware/ea
 # The licenses for the Echo Audio firmware vary slightly so each is enumerated
 # separately, to be really sure.
 # LGPLv2.1+
-/lib/firmware/ea/3g_asic.fw
+%{_prefix}/lib/firmware/ea/3g_asic.fw
 # GPL (undefined version)
-/lib/firmware/ea/darla20_dsp.fw
+%{_prefix}/lib/firmware/ea/darla20_dsp.fw
 # LGPLv2.1+
-/lib/firmware/ea/darla24_dsp.fw
+%{_prefix}/lib/firmware/ea/darla24_dsp.fw
 # LGPLv2.1+
-/lib/firmware/ea/echo3g_dsp.fw
+%{_prefix}/lib/firmware/ea/echo3g_dsp.fw
 # GPL (undefined version)
-/lib/firmware/ea/gina20_dsp.fw
+%{_prefix}/lib/firmware/ea/gina20_dsp.fw
 # GPL (undefined version)
-/lib/firmware/ea/gina24_301_asic.fw
+%{_prefix}/lib/firmware/ea/gina24_301_asic.fw
 # GPL (undefined version)
-/lib/firmware/ea/gina24_301_dsp.fw
+%{_prefix}/lib/firmware/ea/gina24_301_dsp.fw
 # GPL (undefined version)
-/lib/firmware/ea/gina24_361_asic.fw
+%{_prefix}/lib/firmware/ea/gina24_361_asic.fw
 # GPL (undefined version)
-/lib/firmware/ea/gina24_361_dsp.fw
+%{_prefix}/lib/firmware/ea/gina24_361_dsp.fw
 # LGPLv2.1+
-/lib/firmware/ea/indigo_dj_dsp.fw
+%{_prefix}/lib/firmware/ea/indigo_dj_dsp.fw
 # LGPLv2.1+
-/lib/firmware/ea/indigo_djx_dsp.fw
+%{_prefix}/lib/firmware/ea/indigo_djx_dsp.fw
 # LGPLv2.1+
-/lib/firmware/ea/indigo_dsp.fw
+%{_prefix}/lib/firmware/ea/indigo_dsp.fw
 # LGPLv2.1+
-/lib/firmware/ea/indigo_io_dsp.fw
+%{_prefix}/lib/firmware/ea/indigo_io_dsp.fw
 # LGPLv2.1+
-/lib/firmware/ea/indigo_iox_dsp.fw
+%{_prefix}/lib/firmware/ea/indigo_iox_dsp.fw
 # GPL (undefined version)
-/lib/firmware/ea/layla20_asic.fw
+%{_prefix}/lib/firmware/ea/layla20_asic.fw
 # GPL (undefined version)
-/lib/firmware/ea/layla20_dsp.fw
+%{_prefix}/lib/firmware/ea/layla20_dsp.fw
 # GPL (undefined version)
-/lib/firmware/ea/layla24_1_asic.fw
+%{_prefix}/lib/firmware/ea/layla24_1_asic.fw
 # GPL (undefined version)
-/lib/firmware/ea/layla24_2A_asic.fw
+%{_prefix}/lib/firmware/ea/layla24_2A_asic.fw
 # GPL (undefined version)
-/lib/firmware/ea/layla24_2S_asic.fw
+%{_prefix}/lib/firmware/ea/layla24_2S_asic.fw
 # GPL (undefined version)
-/lib/firmware/ea/layla24_dsp.fw
+%{_prefix}/lib/firmware/ea/layla24_dsp.fw
 # GPL (undefined version)
-/lib/firmware/ea/loader_dsp.fw
+%{_prefix}/lib/firmware/ea/loader_dsp.fw
 # LGPLv2.1+
-/lib/firmware/ea/mia_dsp.fw
+%{_prefix}/lib/firmware/ea/mia_dsp.fw
 # GPL (undefined version)
-/lib/firmware/ea/mona_2_asic.fw
+%{_prefix}/lib/firmware/ea/mona_2_asic.fw
 # GPL (undefined version)
-/lib/firmware/ea/mona_301_1_asic_48.fw
+%{_prefix}/lib/firmware/ea/mona_301_1_asic_48.fw
 # GPL (undefined version)
-/lib/firmware/ea/mona_301_1_asic_96.fw
+%{_prefix}/lib/firmware/ea/mona_301_1_asic_96.fw
 # GPL (undefined version)
-/lib/firmware/ea/mona_301_dsp.fw
+%{_prefix}/lib/firmware/ea/mona_301_dsp.fw
 # GPL (undefined version)
-/lib/firmware/ea/mona_361_1_asic_48.fw
+%{_prefix}/lib/firmware/ea/mona_361_1_asic_48.fw
 # GPL (undefined version)
-/lib/firmware/ea/mona_361_1_asic_96.fw
+%{_prefix}/lib/firmware/ea/mona_361_1_asic_96.fw
 # GPL (undefined version)
-/lib/firmware/ea/mona_361_dsp.fw
+%{_prefix}/lib/firmware/ea/mona_361_dsp.fw
 
-%dir /lib/firmware/emu
+%dir %{_prefix}/lib/firmware/emu
 # Licenses vary so are enumerated separately
 # GPLv2
-/lib/firmware/emu/audio_dock.fw
+%{_prefix}/lib/firmware/emu/audio_dock.fw
 # GPLv2
-/lib/firmware/emu/emu0404.fw
+%{_prefix}/lib/firmware/emu/emu0404.fw
 # GPLv2
-/lib/firmware/emu/emu1010_notebook.fw
+%{_prefix}/lib/firmware/emu/emu1010_notebook.fw
 # GPLv2
-/lib/firmware/emu/emu1010b.fw
+%{_prefix}/lib/firmware/emu/emu1010b.fw
 # GPLv2
-/lib/firmware/emu/hana.fw
+%{_prefix}/lib/firmware/emu/hana.fw
 # GPLv2+
-/lib/firmware/emu/micro_dock.fw
+%{_prefix}/lib/firmware/emu/micro_dock.fw
 
 # License: GPL (undefined version)
-/lib/firmware/ess
+%{_prefix}/lib/firmware/ess
 
 # License: No explicit license; default package license is GPLv2+
-/lib/firmware/korg
+%{_prefix}/lib/firmware/korg
 
 # License: GPL (undefined version)
-/lib/firmware/mixart
+%{_prefix}/lib/firmware/mixart
 
 # License: GPL (undefined version)
-/lib/firmware/multiface_firmware*
+%{_prefix}/lib/firmware/multiface_firmware*
 
 # License: GPL (undefined version)
-/lib/firmware/pcxhr
+%{_prefix}/lib/firmware/pcxhr
 
 # License: GPL (undefined version)
-/lib/firmware/rpm_firmware.bin
+%{_prefix}/lib/firmware/rpm_firmware.bin
 
 # License: GPLv2+
-/lib/firmware/sb16
+%{_prefix}/lib/firmware/sb16
 
 # License: GPL (undefined version)
-/lib/firmware/vx
+%{_prefix}/lib/firmware/vx
 
 # License: No explicit license; default package license is GPLv2+
 # See ALSA bug #3412
-/lib/firmware/yamaha
+%{_prefix}/lib/firmware/yamaha
 
 # Even with --disable-loader, we still get usxxx firmware here; looking at the
 # alsa-tools-firmware package, it seems like these devices probably use an old- 