diff --git a/dracut.spec b/dracut.spec
index a2c2299..cb1b0e3 100644
--- a/dracut.spec
+++ b/dracut.spec
@@ -1,3 +1,5 @@
+%define dracutlibdir %{_prefix}/lib/dracut
+
 # Variables must be defined
 %define with_nbd                1
 
@@ -8,7 +10,7 @@
 
 Name: dracut
 Version: 013
-Release: 100.git20111021%{?dist}
+Release: 134.git20111123%{?dist}
 
 Summary: Initramfs generator using udev
 %if 0%{?fedora} || 0%{?rhel} > 6
@@ -121,6 +123,40 @@ Patch96: 0096-dracut-functions-do-not-install-files-from-current-d.patch
 Patch97: 0097-dracut-functions-inst_script-call-inst_binary-with-f.patch
 Patch98: 0098-dracut.spec-apply-patches-with-git.patch
 Patch99: 0099-dracut.spec-require-new-util-linux-version-with-new-.patch
+Patch100: 0100-remove-the-xen-dracut-module.patch
+Patch101: 0101-apply-live-updates.sh-copy-without-glob.patch
+Patch102: 0102-inst_script-should-call-inst_simple-750603.patch
+Patch103: 0103-90kernel-modules-module-setup.sh-include-usb-mass-st.patch
+Patch104: 0104-fs-lib-install-etc-e2fsck.conf-if-e2fsck-is-installe.patch
+Patch105: 0105-add-wait_for_dev-and-wait_for_mount.patch
+Patch106: 0106-99base-init-98usrmount-mount-usr-if-found-in-sysroot.patch
+Patch107: 0107-99fs-lib-module-setup.sh-only-include-fsck-helper-ne.patch
+Patch108: 0108-Makefile-git2spec.pl-use-temporary-builddir.patch
+Patch109: 0109-dracut.spec-remove-xen-module.patch
+Patch110: 0110-99base-init-avoid-using-cp-t.patch
+Patch111: 0111-50plymouth-plymouth-pretrigger.sh-respect-primary-co.patch
+Patch112: 0112-dracut-lib.sh-add-killproc.patch
+Patch113: 0113-95iscsi-iscsiroot-use-initiator-name-from-ibft-firmw.patch
+Patch114: 0114-95iscsi-parse-iscsiroot.sh-force-load-a-lot-of-kerne.patch
+Patch115: 0115-95iscsi-add-iscsiuio.patch
+Patch116: 0116-dracut-create-var-log-directory-in-the-initramfs.patch
+Patch117: 0117-02fips-aesni-add-fips-with-aesni-intel.patch
+Patch118: 0118-lvm-dm-dmraid-cleanup-which-module-installs-what.patch
+Patch119: 0119-95fcoe-support-bnx2fc.patch
+Patch120: 0120-99base-dracut-lib.sh-wait_for_if_up-extend-wait-time.patch
+Patch121: 0121-40network-check-for-brctl.patch
+Patch122: 0122-40network-ifup-add-brd-to-ip-addr-add.patch
+Patch123: 0123-dracut-add-install_items-to-dracut.conf.patch
+Patch124: 0124-90mdraid-remove-mdadm_auto.sh-completly.patch
+Patch125: 0125-cryptroot-ask.sh-use-key-file-if-specified-in-cryptt.patch
+Patch126: 0126-90dmsquash-live-wait-for-the-dev-mapper-live-rw-devi.patch
+Patch127: 0127-test-introduce-TESTDIR-tmpdir.patch
+Patch128: 0128-test-moved-TEST-14-IMSM-to-old.TEST-14-IMSM.patch
+Patch129: 0129-Makefile-Append-target-files-names-for-man-pages.patch
+Patch130: 0130-90mdraid-wait-for-md-devices-to-become-clean.patch
+Patch131: 0131-git2spec.pl-strip-path-from-patches.patch
+Patch132: 0132-Makefile-dracut.spec-move-dracut-to-usr-lib-dracut.patch
+Patch133: 0133-dracut.spec-move-sbindir-from-sbin-to-usr-bin.patch
 
 
 BuildArch: noarch
@@ -232,6 +268,15 @@ This package requires everything which is needed to build an
 all purpose initramfs with dracut, which does an integrity check.
 %endif
 
+%package fips-aesni
+Summary: Dracut modules to build a dracut initramfs with an integrity check with aesni-intel
+Requires: %{name}-fips = %{version}-%{release}
+
+%description fips-aesni
+This package requires everything which is needed to build an
+all purpose initramfs with dracut, which does an integrity check 
+and adds the aesni-intel kernel module.
+
 %package caps
 Summary: Dracut modules to build a dracut initramfs which drops capabilities
 Requires: %{name} = %{version}-%{release}
@@ -266,17 +311,20 @@ make
 %if 0%{?fedora} || 0%{?rhel} > 6
 rm -rf $RPM_BUILD_ROOT
 %endif
-make install DESTDIR=$RPM_BUILD_ROOT sbindir=/sbin \
+make install DESTDIR=$RPM_BUILD_ROOT \
+     libdir=%{_prefix}/lib \
+     bindir=%{_bindir} \
      sysconfdir=/etc mandir=%{_mandir}
 
-echo %{name}-%{version}-%{release} > $RPM_BUILD_ROOT/%{_datadir}/dracut/modules.d/10rpmversion/dracut-version
+echo %{name}-%{version}-%{release} > $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/10rpmversion/dracut-version
 
 %if 0%{?fedora} == 0 && 0%{?rhel} == 0
-rm -fr $RPM_BUILD_ROOT/%{_datadir}/dracut/modules.d/01fips
+rm -fr $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/01fips
+rm -fr $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/02fips-aesni
 %endif
 
 # remove gentoo specific modules
-rm -fr $RPM_BUILD_ROOT/%{_datadir}/dracut/modules.d/50gensplash
+rm -fr $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/50gensplash
 
 mkdir -p $RPM_BUILD_ROOT/boot/dracut
 mkdir -p $RPM_BUILD_ROOT/var/lib/dracut/overlay
@@ -294,8 +342,8 @@ install -m 0644 dracut.conf.d/suse.conf.example   $RPM_BUILD_ROOT/etc/dracut.con
 %endif
 
 %if 0%{?fedora} <= 12 && 0%{?rhel} < 6 && 0%{?suse_version} <= 9999
-rm $RPM_BUILD_ROOT/sbin/mkinitrd
-rm $RPM_BUILD_ROOT/sbin/lsinitrd
+rm $RPM_BUILD_ROOT%{_bindir}/mkinitrd
+rm $RPM_BUILD_ROOT%{_bindir}/lsinitrd
 %endif
 
 mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
@@ -307,15 +355,15 @@ rm -rf $RPM_BUILD_ROOT
 %files
 %defattr(-,root,root,0755)
 %doc README HACKING TODO COPYING AUTHORS NEWS dracut.html dracut.png dracut.svg
-/sbin/dracut
+%{_bindir}/dracut
 %if 0%{?fedora} > 12 || 0%{?rhel} >= 6 || 0%{?suse_version} > 9999
-/sbin/mkinitrd
-/sbin/lsinitrd
+%{_bindir}/mkinitrd
+%{_bindir}/lsinitrd
 %endif
-%dir %{_datadir}/dracut
-%dir %{_datadir}/dracut/modules.d
-%{_datadir}/dracut/dracut-functions
-%{_datadir}/dracut/dracut-logger
+%dir %{dracutlibdir}
+%dir %{dracutlibdir}/modules.d
+%{dracutlibdir}/dracut-functions
+%{dracutlibdir}/dracut-logger
 %config(noreplace) /etc/dracut.conf
 %if 0%{?fedora} || 0%{?suse_version} || 0%{?rhel} > 6
 %config /etc/dracut.conf.d/01-dist.conf
@@ -324,548 +372,81 @@ rm -rf $RPM_BUILD_ROOT
 %{_mandir}/man8/dracut.8*
 %{_mandir}/man7/dracut.kernel.7*
 %{_mandir}/man5/dracut.conf.5*
-%{_datadir}/dracut/modules.d/00bootchart
-%{_datadir}/dracut/modules.d/00dash
-%{_datadir}/dracut/modules.d/05busybox
-%{_datadir}/dracut/modules.d/10i18n
-%{_datadir}/dracut/modules.d/10rpmversion
-%{_datadir}/dracut/modules.d/50plymouth
-%{_datadir}/dracut/modules.d/60xen
-%{_datadir}/dracut/modules.d/90btrfs
-%{_datadir}/dracut/modules.d/90crypt
-%{_datadir}/dracut/modules.d/90dm
-%{_datadir}/dracut/modules.d/90dmraid
-%{_datadir}/dracut/modules.d/90dmsquash-live
-%{_datadir}/dracut/modules.d/90kernel-modules
-%{_datadir}/dracut/modules.d/90lvm
-%{_datadir}/dracut/modules.d/90mdraid
-%{_datadir}/dracut/modules.d/90multipath
-%{_datadir}/dracut/modules.d/91crypt-gpg
-%{_datadir}/dracut/modules.d/95debug
-%{_datadir}/dracut/modules.d/95resume
-%{_datadir}/dracut/modules.d/95rootfs-block
-%{_datadir}/dracut/modules.d/95dasd
-%{_datadir}/dracut/modules.d/95dasd_mod
-%{_datadir}/dracut/modules.d/95fstab-sys
-%{_datadir}/dracut/modules.d/95zfcp
-%{_datadir}/dracut/modules.d/95terminfo
-%{_datadir}/dracut/modules.d/95udev-rules
-%{_datadir}/dracut/modules.d/96securityfs
-%{_datadir}/dracut/modules.d/97biosdevname
-%{_datadir}/dracut/modules.d/97masterkey
-%{_datadir}/dracut/modules.d/98ecryptfs
-%{_datadir}/dracut/modules.d/98integrity
-%{_datadir}/dracut/modules.d/98selinux
-%{_datadir}/dracut/modules.d/98syslog
-%{_datadir}/dracut/modules.d/99base
-%{_datadir}/dracut/modules.d/99fs-lib
-%{_datadir}/dracut/modules.d/99shutdown
+%{dracutlibdir}/modules.d/00bootchart
+%{dracutlibdir}/modules.d/00dash
+%{dracutlibdir}/modules.d/05busybox
+%{dracutlibdir}/modules.d/10i18n
+%{dracutlibdir}/modules.d/10rpmversion
+%{dracutlibdir}/modules.d/50plymouth
+%{dracutlibdir}/modules.d/90btrfs
+%{dracutlibdir}/modules.d/90crypt
+%{dracutlibdir}/modules.d/90dm
+%{dracutlibdir}/modules.d/90dmraid
+%{dracutlibdir}/modules.d/90dmsquash-live
+%{dracutlibdir}/modules.d/90kernel-modules
+%{dracutlibdir}/modules.d/90lvm
+%{dracutlibdir}/modules.d/90mdraid
+%{dracutlibdir}/modules.d/90multipath
+%{dracutlibdir}/modules.d/91crypt-gpg
+%{dracutlibdir}/modules.d/95debug
+%{dracutlibdir}/modules.d/95resume
+%{dracutlibdir}/modules.d/95rootfs-block
+%{dracutlibdir}/modules.d/95dasd
+%{dracutlibdir}/modules.d/95dasd_mod
+%{dracutlibdir}/modules.d/95fstab-sys
+%{dracutlibdir}/modules.d/95zfcp
+%{dracutlibdir}/modules.d/95terminfo
+%{dracutlibdir}/modules.d/95udev-rules
+%{dracutlibdir}/modules.d/96securityfs
+%{dracutlibdir}/modules.d/97biosdevname
+%{dracutlibdir}/modules.d/97masterkey
+%{dracutlibdir}/modules.d/98ecryptfs
+%{dracutlibdir}/modules.d/98integrity
+%{dracutlibdir}/modules.d/98selinux
+%{dracutlibdir}/modules.d/98syslog
+%{dracutlibdir}/modules.d/98usrmount
+%{dracutlibdir}/modules.d/99base
+%{dracutlibdir}/modules.d/99fs-lib
+%{dracutlibdir}/modules.d/99shutdown
 %config(noreplace) /etc/logrotate.d/dracut_log
 %attr(0644,root,root) %ghost %config(missingok,noreplace) %{_localstatedir}/log/dracut.log
 %dir %{_sharedstatedir}/initramfs
 
 %files network
 %defattr(-,root,root,0755)
-%{_datadir}/dracut/modules.d/40network
-%{_datadir}/dracut/modules.d/95fcoe
-%{_datadir}/dracut/modules.d/95iscsi
-%{_datadir}/dracut/modules.d/90livenet
-%{_datadir}/dracut/modules.d/95nbd
-%{_datadir}/dracut/modules.d/95nfs
-%{_datadir}/dracut/modules.d/45ifcfg
-%{_datadir}/dracut/modules.d/95znet
+%{dracutlibdir}/modules.d/40network
+%{dracutlibdir}/modules.d/95fcoe
+%{dracutlibdir}/modules.d/95iscsi
+%{dracutlibdir}/modules.d/90livenet
+%{dracutlibdir}/modules.d/95nbd
+%{dracutlibdir}/modules.d/95nfs
+%{dracutlibdir}/modules.d/45ifcfg
+%{dracutlibdir}/modules.d/95znet
 
 %if 0%{?fedora} || 0%{?rhel} > 6
 %files fips
 %defattr(-,root,root,0755)
-%{_datadir}/dracut/modules.d/01fips
+%{dracutlibdir}/modules.d/01fips
 %config(noreplace) /etc/dracut.conf.d/40-fips.conf
 %endif
 
+%files fips-aesni
+%defattr(-,root,root,0755)
+%doc COPYING
+%{dracutlibdir}/modules.d/02fips-aesni
+
 %files caps
 %defattr(-,root,root,0755)
-%{_datadir}/dracut/modules.d/02caps
+%{dracutlibdir}/modules.d/02caps
 
 %files tools
 %defattr(-,root,root,0755)
 %{_mandir}/man8/dracut-gencmdline.8*
 %{_mandir}/man8/dracut-catimages.8*
-/sbin/dracut-gencmdline
-/sbin/dracut-catimages
+%{_bindir}/dracut-gencmdline
+%{_bindir}/dracut-catimages
 %dir /boot/dracut
 %dir /var/lib/dracut
 %dir /var/lib/dracut/overlay
 
 %changelog
-* Fri Oct 21 2011 Harald Hoyer <harald@redhat.com> 013-100.git20111021
-- update to latest git
-
-* Thu Oct 20 2011 Harald Hoyer <harald@redhat.com> 013-93.git20111020
-- update to latest git
-
-* Wed Oct 19 2011 Harald Hoyer <harald@redhat.com> 013-85.git20111019
-- update to latest git
-
-* Tue Oct 04 2011 Harald Hoyer <harald@redhat.com> 013-15
-- fixed mdraid container handling
-Resolves: rhbz#743240
-
-* Thu Sep 22 2011 Harald Hoyer <harald@redhat.com> 013-13
-- fixed mdraid issues
-- fixed btrfsck
-Resolves: rhbz#735602
-
-* Wed Sep 21 2011 Harald Hoyer <harald@redhat.com> 013-12
-- removed patch backup files
-- reintroduced /dev/live
-
-* Tue Sep 20 2011 Harald Hoyer <harald@redhat.com> 013-11
-- move mounting of securitfs to a seperate module
-Resolves: rhbz#737140
-
-* Tue Sep 20 2011 Harald Hoyer <harald@redhat.com> 013-10
-- mount securitfs with the correct source
-Resolves: rhbz#737140
-
-* Tue Sep 20 2011 Harald Hoyer <harald@redhat.com> 013-9
-- do not carry over initramfs udev rules
-Resolves: rhbz#734096
-
-* Fri Sep 02 2011 Harald Hoyer <harald@redhat.com> 013-8
-- hopefully fixed one part of a loop/udev and loop/mount race
-Resolves: rhbz#735199
-
-* Wed Aug 31 2011 Harald Hoyer <harald@redhat.com> 013-7
-- add /lib/udev/input_id to the initramfs
-- fix hmac install
-
-* Tue Aug 30 2011 Harald Hoyer <harald@redhat.com> 013-6
-- fixed environment passing to real init
-Resolves: rhbz#733674
-- fixed lvm on md
-
-* Mon Aug 29 2011 Harald Hoyer <harald@redhat.com> 013-5
-- fixed rhel/fedora version checks
-
-* Wed Aug 17 2011 Harald Hoyer <harald@redhat.com> 013-4
-- fixed crash with livenet installed
-
-* Wed Aug 17 2011 Harald Hoyer <harald@redhat.com> 013-3
-- fixed live iso mounting
-Resolves: rhbz#730579
-
-* Fri Aug 12 2011 Harald Hoyer <harald@redhat.com> 013-1
-- fixed symlink creation for lorax
-
-* Wed Aug 10 2011 Harald Hoyer <harald@redhat.com> 011-41.git20110810
-- fixed getargs() for empty args
-
-* Wed Aug 10 2011 Harald Hoyer <harald@redhat.com> 011-40.git20110810
-- fixed symbolic link creation in the initramfs
-Resolves: rhbz#728863
-
-* Wed Jul 20 2011 Harald Hoyer <harald@redhat.com> 011-15.git20110720
-- "eject" is optional now
-- refined shutdown procedure
-
-* Mon Jul 18 2011 Harald Hoyer <harald@redhat.com> 011-1
-- version 011
-
-* Fri May 20 2011 Harald Hoyer <harald@redhat.com> 011-0.1%{?rdist}
-- git snapshot of pre-version 011
-
-* Fri Apr 01 2011 Harald Hoyer <harald@redhat.com> 010-1
-- version 010
-
-* Thu Mar 31 2011 Harald Hoyer <harald@redhat.com> 009-5
-- fixed PATH and kmsg logging
-
-* Thu Mar 31 2011 Harald Hoyer <harald@redhat.com> 009-4
-- fixed dmsquash rule generation
-- fixed fips boot arg parsing
-- fixed plymouth pid generation
-
-* Wed Mar 30 2011 Harald Hoyer <harald@redhat.com> 009-3
-- fixed dhcp
-- added /lib/firmware/updates to firmware directories 
-- fixed LiveCD /dev/.initramfs fallback
-- fixed cdrom polling
-- dropped net-tools dependency
-
-* Tue Mar 29 2011 Harald Hoyer <harald@redhat.com> 009-2
-- fixed empty output file argument handling:
-  "dracut '' <kernel version>" 
-
-* Mon Mar 28 2011 Harald Hoyer <harald@redhat.com> 009-1
-- version 009
-
-* Thu Mar 17 2011 Harald Hoyer <harald@redhat.com> 009-0.1
-- version 009 prerelease
-
-* Tue Feb 22 2011 Harald Hoyer <harald@redhat.com> 008-7
-- fixed lvm version parsing
-
-* Tue Feb 22 2011 Harald Hoyer <harald@redhat.com> 008-6
-- fixed lvm version parsing
-
-* Mon Feb 21 2011 Harald Hoyer <harald@redhat.com> 008-5
-- fixed i18n unicode setting
-- set cdrom in kernel polling
-
-* Fri Feb 18 2011 Harald Hoyer <harald@redhat.com> 008-4
-- readded dist tag
-
-* Fri Feb 18 2011 Harald Hoyer <harald@redhat.com> 008-3
-- fixed i18n
-- turned off selinux by default
-
-* Wed Feb 09 2011 Harald Hoyer <harald@redhat.com> 008-2
-- do not write dracut.log to /tmp under any circumstances
-- touch /dev/.systemd/plymouth after plymouth started
-
-* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 008-1.1
-- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
-
-* Wed Feb 02 2011 Harald Hoyer <harald@redhat.com> 008-1
-- version 008-1
-
-* Mon Jan 17 2011 Harald Hoyer <harald@redhat.com> 008-0.11
-- removed "mount" requirement
-
-* Thu Nov 18 2010 Harald Hoyer <harald@redhat.com> - 008-0.10
-- dracut-008 pre git snapshot
-- fixes /dev/dri permissions
-Resolves: rhbz#626559
-
-* Fri Nov 12 2010 Harald Hoyer <harald@redhat.com> 008-0.9
-- dracut-008 pre git snapshot
-- fixes /dev/.udev permissions
-Resolves: rhbz#651594
-
-* Wed Nov  3 2010 Harald Hoyer <harald@redhat.com> - 008-0.8
-- fixed fsck -a option
-
-* Fri Oct 29 2010 Harald Hoyer <harald@redhat.com> 008-0.7
-- added fsck to initramfs
-
-* Fri Oct 29 2010 Harald Hoyer <harald@redhat.com> 008-0.6
-- fixed rpm macros
-
-* Fri Oct 29 2010 Harald Hoyer <harald@redhat.com> 008-0.5
-- dracut-008 pre git snapshot
-
-* Mon Aug 09 2010 Harald Hoyer <harald@redhat.com> 007-1
-- version 007
-
-* Thu Jun 17 2010 Harald Hoyer <harald@redhat.com> 006-1
-- version 006
-
-* Fri Jun 11 2010 Harald Hoyer <harald@redhat.com>
-- Remove requirements, which are not really needed
-Resolves: rhbz#598509
-- fixed copy of network config to /dev/.initramfs/ (patch 146)
-Resolves: rhbz#594649
-- more password beauty (patch 142)
-Resolves: rhbz#561092
-- support multiple iSCSI disks (patch 143)
-Resolves: rbhz#580190
-- fixed selinux=0 (patch 130)
-Resolves: rhbz#593080
-- add support for booting LVM snapshot root volume (patch 145)
-Resolves: rbhz#602723
-- remove hardware field from BOOTIF= (patch 148)
-Resolves: rhbz#599593
-- add aes kernel modules and fix crypt handling (patch 137, patch 140 and patch 147)
-Resolves: rhbz#600170
-
-* Thu May 27 2010 Harald Hoyer <harald@redhat.com> 
-- fixed Requirements
-- fixed autoip6 
-Resolves: rhbz#538388
-- fixed multipath
-Resolves: rhbz#595719
-
-* Thu May 06 2010 Harald Hoyer <harald@redhat.com> 
-- only display short password messages
-Resolves: rhbz#561092
-
-* Thu May 06 2010 Harald Hoyer <harald@redhat.com>
-- fixed dracut manpages 
-Resolves: rhbz#589109
-- use ccw-init and ccw rules from s390utils
-Resolves: rhbz#533494
-- fixed fcoe
-Resolves: rhbz#486244
-- various other bugfixes seen in Fedora
-
-* Tue Apr 20 2010 Harald Hoyer <harald@redhat.com> 
-- fixed network with multiple nics
-- fixed nfsidmap paths
-- do not run blkid on non active container raids
-- fixed cdrom polling mechanism
-- update to latest git
-
-* Thu Apr 15 2010 Harald Hoyer <harald@redhat.com>
-- fixed dracut manpages
-- dmraid parse different error messages
-- add cdrom polling mechanism for slow cdroms
-- add module btrfs
-- teach dmsquash live-root to use rootflags
-- trigger udev with action=add
-- fixed add_drivers handling 
-- add sr_mod
-- use pigz instead of gzip, if available
-
-* Thu Mar 25 2010 Harald Hoyer <harald@redhat.com> 
-- removed firmware requirements (rhbz#572634)
-- add /etc/dracut.conf.d
-- Resolves: rhbz#572634
-
-* Fri Mar 19 2010 Harald Hoyer <harald@redhat.com> 
-- version 005
-
-* Fri Mar 19 2010 Harald Hoyer <harald@redhat.com> 
-- fixed rpmlint errors (rhbz#570547)
-- removed firmware package from dracut-kernel (rhbz#572634)
-- add dcb support to dracut's FCoE support (rhbz#563794)
-- force install some modules in hostonly mode (rhbz#573094)
-- various other bugfixes
-- Resolves: rhbz#570547, rhbz#572634, rhbz#563794, rhbz#573094
-
-* Thu Feb 18 2010 Harald Hoyer <harald@redhat.com> 004-15
-- fixed "selinux=0" booting (rhbz#566376)
-- fixed internal IFS handling
-- Resolves: rhbz#566376
-
-* Fri Jan 29 2010 Harald Hoyer <harald@redhat.com> 004-5
-- fixed firmware.sh bug (#559975 #559597)
-
-* Tue Jan 26 2010 Harald Hoyer <harald@redhat.com> 004-4
-- add multipath check
-
-* Tue Jan 26 2010 Harald Hoyer <harald@redhat.com> 004-3
-- fix selinux handling if .autorelabel is present
-- Resolves: rhbz#557744
-
-* Wed Jan 20 2010 Harald Hoyer <harald@redhat.com> 004-2
-- fix emergency_shell argument parsing
-- Related: rhbz#543948
-
-* Fri Jan 15 2010 Harald Hoyer <harald@redhat.com> 004-1
-- version 004
-- Resolves: rhbz#529339 rhbz#533494 rhbz#548550 
-- Resolves: rhbz#548555 rhbz#553195
-
-* Wed Jan 13 2010 Harald Hoyer <harald@redhat.com> 003-3
-- add Obsoletes of mkinitrd/nash/libbdevid-python
-- Related: rhbz#543948
-
-* Wed Jan 13 2010 Warren Togami <wtogami@redhat.com> 003-2
-- nbd is Fedora only
-
-* Fri Nov 27 2009 Harald Hoyer <harald@redhat.com> 003-1
-- version 003
-
-* Mon Nov 23 2009 Harald Hoyer <harald@redhat.com> 002-26
-- add WITH_SWITCH_ROOT make flag
-- add fips requirement conditional
-- add more device mapper modules (bug #539656)
-
-* Fri Nov 20 2009 Dennis Gregorovic <dgregor@redhat.com> - 002-25.1
-- nss changes for Alpha 3
-
-* Thu Nov 19 2009 Harald Hoyer <harald@redhat.com> 002-25
-- add more requirements for dracut-fips (bug #539257)
-
-* Tue Nov 17 2009 Harald Hoyer <harald@redhat.com> 002-24
-- put fips module in a subpackage (bug #537619)
-
-* Tue Nov 17 2009 Harald Hoyer <harald@redhat.com> 002-23
-- install xdr utils for multipath (bug #463458)
-
-* Thu Nov 12 2009 Harald Hoyer <harald@redhat.com> 002-22
-- add module 90multipath
-- add module 01fips
-- renamed module 95ccw to 95znet (bug #533833)
-- crypt: ignore devices in /etc/crypttab (root is not in there)
-- dasd: only install /etc/dasd.conf in hostonly mode (bug #533833)
-- zfcp: only install /etc/zfcp.conf in hostonly mode (bug #533833)
-- kernel-modules: add scsi_dh scsi_dh_rdac scsi_dh_emc (bug #527750)
-- dasd: use dasdconf.sh from s390utils (bug #533833)
-
-* Fri Nov 06 2009 Harald Hoyer <harald@redhat.com> 002-21
-- fix rd_DASD argument handling (bug #531720)
-- Resolves: rhbz#531720
-
-* Wed Nov 04 2009 Harald Hoyer <harald@redhat.com> 002-20
-- fix rd_DASD argument handling (bug #531720)
-- Resolves: rhbz#531720
-
-* Tue Nov 03 2009 Harald Hoyer <harald@redhat.com> 002-19
-- changed rd_DASD to rd_DASD_MOD (bug #531720)
-- Resolves: rhbz#531720
-
-* Tue Oct 27 2009 Harald Hoyer <harald@redhat.com> 002-18
-- renamed lvm/device-mapper udev rules according to upstream changes
-- fixed dracut search path issue
-
-* Mon Oct 26 2009 Harald Hoyer <harald@redhat.com> 002-17
-- load dm_mod module (bug #530540)
-
-* Fri Oct 09 2009 Jesse Keating <jkeating@redhat.com> - 002-16
-- Upgrade plymouth to Requires(pre) to make it show up before kernel
-
-* Thu Oct 08 2009 Harald Hoyer <harald@redhat.com> 002-15
-- s390 ccw: s/layer1/layer2/g
-
-* Thu Oct 08 2009 Harald Hoyer <harald@redhat.com> 002-14
-- add multinic support
-- add s390 zfcp support
-- add s390 network support
-
-* Wed Oct 07 2009 Harald Hoyer <harald@redhat.com> 002-13
-- fixed init=<command> handling
-- kill loginit if "rdinitdebug" specified
-- run dmsquash-live-root after udev has settled (bug #527514)
-
-* Tue Oct 06 2009 Harald Hoyer <harald@redhat.com> 002-12
-- add missing loginit helper
-- corrected dracut manpage
-
-* Thu Oct 01 2009 Harald Hoyer <harald@redhat.com> 002-11
-- fixed dracut-gencmdline for root=UUID or LABEL
-
-* Thu Oct 01 2009 Harald Hoyer <harald@redhat.com> 002-10
-- do not destroy assembled raid arrays if mdadm.conf present
-- mount /dev/shm 
-- let udevd not resolve group and user names
-- preserve timestamps of tools on initramfs generation
-- generate symlinks for binaries correctly
-- moved network from udev to initqueue
-- mount nfs3 with nfsvers=3 option and retry with nfsvers=2
-- fixed nbd initqueue-finished
-- improved debug output: specifying "rdinitdebug" now logs
-  to dmesg, console and /init.log
-- stop udev before killing it
-- add ghost /var/log/dracut.log
-- dmsquash: use info() and die() rather than echo
-- strip kernel modules which have no x bit set
-- redirect stdin, stdout, stderr all RW to /dev/console
-  so the user can use "less" to view /init.log and dmesg
-
-* Tue Sep 29 2009 Harald Hoyer <harald@redhat.com> 002-9
-- make install of new dm/lvm udev rules optionally
-- correct dasd module typo
-
-* Fri Sep 25 2009 Warren Togami <wtogami@redhat.com> 002-8
-- revert back to dracut-002-5 tarball 845dd502
-  lvm2 was reverted to pre-udev
-
-* Wed Sep 23 2009 Harald Hoyer <harald@redhat.com> 002-7
-- build with the correct tarball
-
-* Wed Sep 23 2009 Harald Hoyer <harald@redhat.com> 002-6
-- add new device mapper udev rules and dmeventd 
-  bug 525319, 525015
-
-* Wed Sep 23 2009 Warren Togami <wtogami@redaht.com> 002-5
-- Revert back to -3, Add umount back to initrd
-  This makes no functional difference to LiveCD.  See Bug #525319
-
-* Mon Sep 21 2009 Warren Togami <wtogami@redhat.com> 002-4
-- Fix LiveCD boot regression
-
-* Mon Sep 21 2009 Harald Hoyer <harald@redhat.com> 002-3
-- bail out if selinux policy could not be loaded and 
-  selinux=0 not specified on kernel command line 
-  (bug #524113)
-- set finished criteria for dmsquash live images
-
-* Fri Sep 18 2009 Harald Hoyer <harald@redhat.com> 002-2
-- do not cleanup dmraids
-- copy over lvm.conf
-
-* Thu Sep 17 2009 Harald Hoyer <harald@redhat.com> 002-1
-- version 002
-- set correct PATH
-- workaround for broken mdmon implementation
-
-* Wed Sep 16 2009 Harald Hoyer <harald@redhat.com> 001-12
-- removed lvm/mdraid/dmraid lock files
-- add missing ifname= files
-
-* Wed Sep 16 2009 Harald Hoyer <harald@redhat.com> 001-11
-- generate dracut-version during rpm build time
-
-* Tue Sep 15 2009 Harald Hoyer <harald@redhat.com> 001-10
-- add ifname= argument for persistent netdev names
-- new /initqueue-finished to check if the main loop can be left
-- copy mdadm.conf if --mdadmconf set or mdadmconf in dracut.conf
-
-* Wed Sep 09 2009 Harald Hoyer <harald@redhat.com> 001-9
-- added Requires: plymouth-scripts
-
-* Wed Sep 09 2009 Harald Hoyer <harald@redhat.com> 001-8
-- plymouth: use plymouth-populate-initrd
-- add add_drivers for dracut and dracut.conf
-- do not mount /proc and /selinux manually in selinux-load-policy
-
-* Wed Sep 09 2009 Harald Hoyer <harald@redhat.com> 001-7
-- add scsi_wait_scan to be sure everything was scanned
-
-* Tue Sep 08 2009 Harald Hoyer <harald@redhat.com> 001-6
-- fixed several problems with md raid containers
-- fixed selinux policy loading
-
-* Tue Sep 08 2009 Harald Hoyer <harald@redhat.com> 001-5
-- patch does not honor file modes, fixed them manually
-
-* Mon Sep 07 2009 Harald Hoyer <harald@redhat.com> 001-4
-- fixed mdraid for IMSM
-
-* Mon Sep 07 2009 Harald Hoyer <harald@redhat.com> 001-3
-- fixed bug, which prevents installing 61-persistent-storage.rules (bug #520109)
-
-* Thu Sep 03 2009 Harald Hoyer <harald@redhat.com> 001-2
-- fixed missing grep for md
-- reorder cleanup
-
-* Wed Sep 02 2009 Harald Hoyer <harald@redhat.com> 001-1
-- version 001
-- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS
-
-* Fri Aug 14 2009 Harald Hoyer <harald@redhat.com> 0.9-1
-- version 0.9
-
-* Thu Aug 06 2009 Harald Hoyer <harald@redhat.com> 0.8-1
-- version 0.8 
-- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS
-
-* Fri Jul 24 2009 Harald Hoyer <harald@redhat.com> 0.7-1
-- version 0.7
-- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS
-
-* Wed Jul 22 2009 Harald Hoyer <harald@redhat.com> 0.6-1
-- version 0.6
-- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS
-
-* Fri Jul 17 2009 Harald Hoyer <harald@redhat.com> 0.5-1
-- version 0.5
-- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS
-
-* Sat Jul 04 2009 Harald Hoyer <harald@redhat.com> 0.4-1
-- version 0.4
-- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS
-
-* Thu Jul 02 2009 Harald Hoyer <harald@redhat.com> 0.3-1
-- version 0.3
-- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS
-
-* Wed Jul 01 2009 Harald Hoyer <harald@redhat.com> 0.2-1
-- version 0.2
-
-* Fri Jun 19 2009 Harald Hoyer <harald@redhat.com> 0.1-1
-- first release
-
-* Thu Dec 18 2008 Jeremy Katz <katzj@redhat.com> - 0.0-1
-- Initial build