diff --git a/udev.spec b/udev.spec
index 09ee959..d5af78a 100644
--- a/udev.spec
+++ b/udev.spec
@@ -1,7 +1,7 @@
 Summary:        A rule-based device node and kernel event manager
 Name:           udev
-Version:        175
-Release:        1%{?dist}
+Version:        176
+Release:        1.0.usrmove.1%{?dist}
 License:        GPLv2+
 Group:          System Environment/Base
 Source:         ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug/%{name}-%{version}.tar.bz2
@@ -23,8 +23,9 @@ Requires:       hwdata
 Requires:       systemd-units
 Requires:       pkgconfig
 Requires:       util-linux >= 2.15.1
-Conflicts:      systemd < 37
+#Conflicts:      systemd < 37
 Conflicts:      dracut < 013-93
+#Conflicts:      filesystem < 3
 
 %ifarch s390 s390x
 # Require s390utils-base, because it's essential on s390
@@ -43,6 +44,7 @@ Summary:        Dynamic library to access udev device information
 Group:          System Environment/Libraries
 Requires:       udev = %{version}-%{release}
 License:        LGPLv2+
+Conflicts:      filesystem < 3
 
 %description -n libudev
 This package contains the dynamic library libudev, which provides access
@@ -64,6 +66,7 @@ Summary:        Libraries for adding libudev support to applications that use gl
 Group:          Development/Libraries
 Requires:       libudev = %{version}-%{release}
 License:        LGPLv2+
+Conflicts:      filesystem < 3
 
 %description -n libgudev1
 This package contains the libraries that make it easier to use libudev
@@ -90,11 +93,9 @@ export V=1
 %configure \
         --prefix=%{_prefix} \
         --sysconfdir=%{_sysconfdir} \
-        --sbindir=/sbin \
-        --libexecdir=/lib/udev \
-        --with-rootlibdir=/%{_lib} \
+        --libexecdir=%{_prefix}/lib/udev \
         --with-selinux \
-        --with-systemdsystemunitdir=/lib/systemd/system \
+        --with-systemdsystemunitdir=%{_prefix}/lib/systemd/system \
         --enable-floppy
 make %{?_smp_mflags}
 
@@ -114,10 +115,10 @@ for i in \
         rules/arch/40-s390.rules \
 %endif
         ; do
-        install -m 0644 "$i"  "$RPM_BUILD_ROOT/lib/udev/rules.d/${i##*/}"
+        install -m 0644 "$i"  "$RPM_BUILD_ROOT%{_prefix}/lib/udev/rules.d/${i##*/}"
 done
-mkdir -p -m 0755 $RPM_BUILD_ROOT/lib/firmware
-mkdir -p -m 0755 $RPM_BUILD_ROOT/lib/firmware/updates
+mkdir -p -m 0755 $RPM_BUILD_ROOT%{_prefix}/lib/firmware
+mkdir -p -m 0755 $RPM_BUILD_ROOT%{_prefix}/lib/firmware/updates
 
 %pre
 getent group cdrom >/dev/null || /usr/sbin/groupadd -g 11 cdrom || :
@@ -145,25 +146,25 @@ rm -rf $RPM_BUILD_ROOT
 %files
 %defattr(-, root, root, 0755)
 %doc NEWS COPYING README TODO ChangeLog  extras/keymap/README.keymap.txt
-%attr(0755,root,root) /sbin/udevadm
+%attr(0755,root,root) %{_sbindir}/udevadm
 %config(noreplace) %attr(0644,root,root) %{_sysconfdir}/udev/udev.conf
 %attr(0755,root,root) %dir %{_sysconfdir}/udev/
 %attr(0755,root,root) %dir %{_sysconfdir}/udev/rules.d/
-%attr(0755,root,root) /lib/udev
+%attr(0755,root,root) %{_prefix}/lib/udev
 %attr(0644,root,root) %{_mandir}/man7/*.7*
 %attr(0644,root,root) %{_mandir}/man8/*.8*
 %{_datadir}/pkgconfig/udev.pc
-%dir %attr(0755,root,root) /lib/firmware
-%dir %attr(0755,root,root) /lib/firmware/updates
-%attr(0644,root,root) /lib/systemd/system/*.service
-%attr(0644,root,root) /lib/systemd/system/*.socket
-/lib/systemd/system/basic.target.wants/*.service
-/lib/systemd/system/sockets.target.wants/*.socket
+%dir %attr(0755,root,root) %{_prefix}/lib/firmware
+%dir %attr(0755,root,root) %{_prefix}/lib/firmware/updates
+%attr(0644,root,root) %{_prefix}/lib/systemd/system/*.service
+%attr(0644,root,root) %{_prefix}/lib/systemd/system/*.socket
+%{_prefix}/lib/systemd/system/basic.target.wants/*.service
+%{_prefix}/lib/systemd/system/sockets.target.wants/*.socket
 
 %files -n libudev
 %defattr(0644, root, root, 0755)
 %doc libudev/COPYING
-%attr(0755,root,root) /%{_lib}/libudev.so.*
+%attr(0755,root,root) %{_libdir}/libudev.so.*
 
 %files -n libudev-devel
 %defattr(0644, root, root, 0755)
@@ -176,7 +177,7 @@ rm -rf $RPM_BUILD_ROOT
 %files -n libgudev1
 %defattr(0644, root, root, 0755)
 %doc extras/gudev/COPYING
-%attr(0755,root,root) /%{_lib}/libgudev-1.0.so.*
+%attr(0755,root,root) %{_libdir}/libgudev-1.0.so.*
 %attr(0644,root,root) %{_libdir}/girepository-1.0/GUdev-1.0.typelib
 
 %files -n libgudev1-devel